Subject: bug#57804: An infinite loop in a `fontify-region' function causes Emacs to hang indefinitely

From: Gregory Heytings <[email-masked]>
Date: Wed, 14 Sep 2022 17:34:10 +0000

> 
> E.g. in my case this happened in Logview mode, because it expected 
> `widen' to, well, widen, but Emacs `master' introduced half-cooked 
> narrowed locking that broke that expectation
>

Yes, master contains work in progress.  If you want stable code, you 
should use the release branch.

Note that the "fully cooked" narrowing will not magically solve that 
problem, though.  Logview will have to be adapted to deal with the 
possibility of a locked narrowing.  What you should most probably do in 
your case is to increase the value of long-line-threshold (or disable 
whatever causes Logview to infloop when locked narrowing is in effect, if 
that's feasible).